Incompatibilità Rated 1 out of 5 stars

la versione 3.5.3 di firefox non me lo riconosce

This review is for a previous version of the add-on (3.1).